Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network57.68.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
57.68.0.0
Broadcast address
57.71.255.255
First usable
57.68.0.1
Last usable
57.71.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
A (default /8)
As numbers
Hex 39440000 · Integer 960757760 to 961019903
Reverse DNS zones
68.57.in-addr.arpa
69.57.in-addr.arpa
70.57.in-addr.arpa
71.57.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111001.01000100.00000000.0000000057.68.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network00111001.01000100.00000000.0000000057.68.0.0
Broadcast00111001.01000111.11111111.1111111157.71.255.255
Split into smaller subnets/21

57.68.0.0/14 makes 128 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
157.68.0.0/2157.68.0.1 to 57.68.7.25457.68.7.2552,046
257.68.8.0/2157.68.8.1 to 57.68.15.25457.68.15.2552,046
357.68.16.0/2157.68.16.1 to 57.68.23.25457.68.23.2552,046
457.68.24.0/2157.68.24.1 to 57.68.31.25457.68.31.2552,046
557.68.32.0/2157.68.32.1 to 57.68.39.25457.68.39.2552,046
657.68.40.0/2157.68.40.1 to 57.68.47.25457.68.47.2552,046
757.68.48.0/2157.68.48.1 to 57.68.55.25457.68.55.2552,046
857.68.56.0/2157.68.56.1 to 57.68.63.25457.68.63.2552,046
957.68.64.0/2157.68.64.1 to 57.68.71.25457.68.71.2552,046
1057.68.72.0/2157.68.72.1 to 57.68.79.25457.68.79.2552,046
1157.68.80.0/2157.68.80.1 to 57.68.87.25457.68.87.2552,046
1257.68.88.0/2157.68.88.1 to 57.68.95.25457.68.95.2552,046
1357.68.96.0/2157.68.96.1 to 57.68.103.25457.68.103.2552,046
1457.68.104.0/2157.68.104.1 to 57.68.111.25457.68.111.2552,046
1557.68.112.0/2157.68.112.1 to 57.68.119.25457.68.119.2552,046
1657.68.120.0/2157.68.120.1 to 57.68.127.25457.68.127.2552,046
1757.68.128.0/2157.68.128.1 to 57.68.135.25457.68.135.2552,046
1857.68.136.0/2157.68.136.1 to 57.68.143.25457.68.143.2552,046
1957.68.144.0/2157.68.144.1 to 57.68.151.25457.68.151.2552,046
2057.68.152.0/2157.68.152.1 to 57.68.159.25457.68.159.2552,046
2157.68.160.0/2157.68.160.1 to 57.68.167.25457.68.167.2552,046
2257.68.168.0/2157.68.168.1 to 57.68.175.25457.68.175.2552,046
2357.68.176.0/2157.68.176.1 to 57.68.183.25457.68.183.2552,046
2457.68.184.0/2157.68.184.1 to 57.68.191.25457.68.191.2552,046
2557.68.192.0/2157.68.192.1 to 57.68.199.25457.68.199.2552,046
2657.68.200.0/2157.68.200.1 to 57.68.207.25457.68.207.2552,046
2757.68.208.0/2157.68.208.1 to 57.68.215.25457.68.215.2552,046
2857.68.216.0/2157.68.216.1 to 57.68.223.25457.68.223.2552,046
2957.68.224.0/2157.68.224.1 to 57.68.231.25457.68.231.2552,046
3057.68.232.0/2157.68.232.1 to 57.68.239.25457.68.239.2552,046
3157.68.240.0/2157.68.240.1 to 57.68.247.25457.68.247.2552,046
3257.68.248.0/2157.68.248.1 to 57.68.255.25457.68.255.2552,046
3357.69.0.0/2157.69.0.1 to 57.69.7.25457.69.7.2552,046
3457.69.8.0/2157.69.8.1 to 57.69.15.25457.69.15.2552,046
3557.69.16.0/2157.69.16.1 to 57.69.23.25457.69.23.2552,046
3657.69.24.0/2157.69.24.1 to 57.69.31.25457.69.31.2552,046
3757.69.32.0/2157.69.32.1 to 57.69.39.25457.69.39.2552,046
3857.69.40.0/2157.69.40.1 to 57.69.47.25457.69.47.2552,046
3957.69.48.0/2157.69.48.1 to 57.69.55.25457.69.55.2552,046
4057.69.56.0/2157.69.56.1 to 57.69.63.25457.69.63.2552,046
4157.69.64.0/2157.69.64.1 to 57.69.71.25457.69.71.2552,046
4257.69.72.0/2157.69.72.1 to 57.69.79.25457.69.79.2552,046
4357.69.80.0/2157.69.80.1 to 57.69.87.25457.69.87.2552,046
4457.69.88.0/2157.69.88.1 to 57.69.95.25457.69.95.2552,046
4557.69.96.0/2157.69.96.1 to 57.69.103.25457.69.103.2552,046
4657.69.104.0/2157.69.104.1 to 57.69.111.25457.69.111.2552,046
4757.69.112.0/2157.69.112.1 to 57.69.119.25457.69.119.2552,046
4857.69.120.0/2157.69.120.1 to 57.69.127.25457.69.127.2552,046
4957.69.128.0/2157.69.128.1 to 57.69.135.25457.69.135.2552,046
5057.69.136.0/2157.69.136.1 to 57.69.143.25457.69.143.2552,046
5157.69.144.0/2157.69.144.1 to 57.69.151.25457.69.151.2552,046
5257.69.152.0/2157.69.152.1 to 57.69.159.25457.69.159.2552,046
5357.69.160.0/2157.69.160.1 to 57.69.167.25457.69.167.2552,046
5457.69.168.0/2157.69.168.1 to 57.69.175.25457.69.175.2552,046
5557.69.176.0/2157.69.176.1 to 57.69.183.25457.69.183.2552,046
5657.69.184.0/2157.69.184.1 to 57.69.191.25457.69.191.2552,046
5757.69.192.0/2157.69.192.1 to 57.69.199.25457.69.199.2552,046
5857.69.200.0/2157.69.200.1 to 57.69.207.25457.69.207.2552,046
5957.69.208.0/2157.69.208.1 to 57.69.215.25457.69.215.2552,046
6057.69.216.0/2157.69.216.1 to 57.69.223.25457.69.223.2552,046
6157.69.224.0/2157.69.224.1 to 57.69.231.25457.69.231.2552,046
6257.69.232.0/2157.69.232.1 to 57.69.239.25457.69.239.2552,046
6357.69.240.0/2157.69.240.1 to 57.69.247.25457.69.247.2552,046
6457.69.248.0/2157.69.248.1 to 57.69.255.25457.69.255.2552,046
6557.70.0.0/2157.70.0.1 to 57.70.7.25457.70.7.2552,046
6657.70.8.0/2157.70.8.1 to 57.70.15.25457.70.15.2552,046
6757.70.16.0/2157.70.16.1 to 57.70.23.25457.70.23.2552,046
6857.70.24.0/2157.70.24.1 to 57.70.31.25457.70.31.2552,046
6957.70.32.0/2157.70.32.1 to 57.70.39.25457.70.39.2552,046
7057.70.40.0/2157.70.40.1 to 57.70.47.25457.70.47.2552,046
7157.70.48.0/2157.70.48.1 to 57.70.55.25457.70.55.2552,046
7257.70.56.0/2157.70.56.1 to 57.70.63.25457.70.63.2552,046
7357.70.64.0/2157.70.64.1 to 57.70.71.25457.70.71.2552,046
7457.70.72.0/2157.70.72.1 to 57.70.79.25457.70.79.2552,046
7557.70.80.0/2157.70.80.1 to 57.70.87.25457.70.87.2552,046
7657.70.88.0/2157.70.88.1 to 57.70.95.25457.70.95.2552,046
7757.70.96.0/2157.70.96.1 to 57.70.103.25457.70.103.2552,046
7857.70.104.0/2157.70.104.1 to 57.70.111.25457.70.111.2552,046
7957.70.112.0/2157.70.112.1 to 57.70.119.25457.70.119.2552,046
8057.70.120.0/2157.70.120.1 to 57.70.127.25457.70.127.2552,046
8157.70.128.0/2157.70.128.1 to 57.70.135.25457.70.135.2552,046
8257.70.136.0/2157.70.136.1 to 57.70.143.25457.70.143.2552,046
8357.70.144.0/2157.70.144.1 to 57.70.151.25457.70.151.2552,046
8457.70.152.0/2157.70.152.1 to 57.70.159.25457.70.159.2552,046
8557.70.160.0/2157.70.160.1 to 57.70.167.25457.70.167.2552,046
8657.70.168.0/2157.70.168.1 to 57.70.175.25457.70.175.2552,046
8757.70.176.0/2157.70.176.1 to 57.70.183.25457.70.183.2552,046
8857.70.184.0/2157.70.184.1 to 57.70.191.25457.70.191.2552,046
8957.70.192.0/2157.70.192.1 to 57.70.199.25457.70.199.2552,046
9057.70.200.0/2157.70.200.1 to 57.70.207.25457.70.207.2552,046
9157.70.208.0/2157.70.208.1 to 57.70.215.25457.70.215.2552,046
9257.70.216.0/2157.70.216.1 to 57.70.223.25457.70.223.2552,046
9357.70.224.0/2157.70.224.1 to 57.70.231.25457.70.231.2552,046
9457.70.232.0/2157.70.232.1 to 57.70.239.25457.70.239.2552,046
9557.70.240.0/2157.70.240.1 to 57.70.247.25457.70.247.2552,046
9657.70.248.0/2157.70.248.1 to 57.70.255.25457.70.255.2552,046
9757.71.0.0/2157.71.0.1 to 57.71.7.25457.71.7.2552,046
9857.71.8.0/2157.71.8.1 to 57.71.15.25457.71.15.2552,046
9957.71.16.0/2157.71.16.1 to 57.71.23.25457.71.23.2552,046
10057.71.24.0/2157.71.24.1 to 57.71.31.25457.71.31.2552,046
10157.71.32.0/2157.71.32.1 to 57.71.39.25457.71.39.2552,046
10257.71.40.0/2157.71.40.1 to 57.71.47.25457.71.47.2552,046
10357.71.48.0/2157.71.48.1 to 57.71.55.25457.71.55.2552,046
10457.71.56.0/2157.71.56.1 to 57.71.63.25457.71.63.2552,046
10557.71.64.0/2157.71.64.1 to 57.71.71.25457.71.71.2552,046
10657.71.72.0/2157.71.72.1 to 57.71.79.25457.71.79.2552,046
10757.71.80.0/2157.71.80.1 to 57.71.87.25457.71.87.2552,046
10857.71.88.0/2157.71.88.1 to 57.71.95.25457.71.95.2552,046
10957.71.96.0/2157.71.96.1 to 57.71.103.25457.71.103.2552,046
11057.71.104.0/2157.71.104.1 to 57.71.111.25457.71.111.2552,046
11157.71.112.0/2157.71.112.1 to 57.71.119.25457.71.119.2552,046
11257.71.120.0/2157.71.120.1 to 57.71.127.25457.71.127.2552,046
11357.71.128.0/2157.71.128.1 to 57.71.135.25457.71.135.2552,046
11457.71.136.0/2157.71.136.1 to 57.71.143.25457.71.143.2552,046
11557.71.144.0/2157.71.144.1 to 57.71.151.25457.71.151.2552,046
11657.71.152.0/2157.71.152.1 to 57.71.159.25457.71.159.2552,046
11757.71.160.0/2157.71.160.1 to 57.71.167.25457.71.167.2552,046
11857.71.168.0/2157.71.168.1 to 57.71.175.25457.71.175.2552,046
11957.71.176.0/2157.71.176.1 to 57.71.183.25457.71.183.2552,046
12057.71.184.0/2157.71.184.1 to 57.71.191.25457.71.191.2552,046
12157.71.192.0/2157.71.192.1 to 57.71.199.25457.71.199.2552,046
12257.71.200.0/2157.71.200.1 to 57.71.207.25457.71.207.2552,046
12357.71.208.0/2157.71.208.1 to 57.71.215.25457.71.215.2552,046
12457.71.216.0/2157.71.216.1 to 57.71.223.25457.71.223.2552,046
12557.71.224.0/2157.71.224.1 to 57.71.231.25457.71.231.2552,046
12657.71.232.0/2157.71.232.1 to 57.71.239.25457.71.239.2552,046
12757.71.240.0/2157.71.240.1 to 57.71.247.25457.71.247.2552,046
12857.71.248.0/2157.71.248.1 to 57.71.255.25457.71.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses